#
# spec file for package rubygem-hiera-eyaml
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           rubygem-hiera-eyaml
Version:        2.1.0
Release:        3.3
%define mod_name hiera-eyaml
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  update-alternatives
Url:            http://github.com/TomPoulton/hiera-eyaml
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Summary:        OpenSSL Encryption backend for Hiera
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Hiera backend for decrypting encrypted yaml properties.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="CHANGES.md LICENSE.txt README.md" \
  -f

%gem_packages

%changelog
* Sat Jul 30 2016 tampakrap@opensuse.org
- Version bump 2.1.0:
  - (#187) - Change the way third party highline library is imported to avoid
    memory leak when running under puppet server (@petems)
  - (#181) - Improve test suite to run against a variety of puppet versions
    (@peculater)
* Sat Apr 18 2015 tampakrap@opensuse.org
- Initial commit
